#pragma once

#include "features/aimbot/AimbotSettings.h"

namespace ta::features::aimbot
{
    class IAimbotGateway
    {
    public:
        virtual ~IAimbotGateway() = default;
        virtual void application_tick(const AimbotSettings& settings) = 0;
        virtual void game_tick(const AimbotSettings& settings) = 0;
        virtual void reset_session() noexcept = 0;
    };
}
